#!/bin/bash
tmp_dir=$(mktemp -d)/peertube-plugin-auto-import-ytb/
work_dir=$(pwd)
peertube_dir=${1}
if [ ! -d "${peertube_dir}" ]; then
  echo "Expected to be passed a directory (or ${peertube_dir} is not accessible)" > /dev/stderr
  exit 1
fi
# echo $work_dir

mkdir "$tmp_dir"
# echo "directory created"
rsync --exclude-from="${work_dir}/.rsyncignore" "${work_dir}" "${tmp_dir}" -ar
# echo "rsync --exclude-from=$work_dir.rsyncignore $work_dir $tmp_dir"
# echo "rsync done"
cd ../PeerTube
node ./dist/server/tools/peertube.js plugins install --path "${tmp_dir}"
# echo $tmp_dir